Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 236264

Summary: Partition Size Advice (10.1)
Product: [Fedora] Fedora Documentation Reporter: Colin Park <crolma2>
Component: install-guideAssignee: Paul W. Frields <stickster>
Status: CLOSED RAWHIDE QA Contact: Paul W. Frields <stickster>
Severity: low Docs Contact:
Priority: medium    
Version: devel   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-05-19 02:54:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 161575    

Description Colin Park 2007-04-12 19:00:51 UTC
Description of problem:

Possible omission. If one is trying to obtain better performance or smoother sys
admin, adding partitions is suggested in various places, but never as a set of
comprehensive guidelines.

While hot controversy continues to exist on the subject, and a partitioning
strategy depends on how the system is to be used, some notes about the limits of
sanity might make the guide better. With today's huge hard drives (even in
modest desktop systems), people can afford to err on the side of being too large.

For example, some people think a gig is a nice round number, appropriate for
/boot/, say. Others (including anaconda) put it at a 10th that size. Which makes
sense when you consider it's job and how many times you are likely to add to
it... how many kernels are you going to seriously consider choosing from?

Reasons for separate /usr/, /var/, /tmp/, /home/ may be mentioned (I spent hours
looking for advice on this, can't recall who says what), but there must be upper
limits for /var/ and /tmp/ after which space is being squandered. Is it 5 gig?

People contemplating wine may wonder if they need an NTFS or vFAT partition.
They don't, according to wine FAQ 3.10.

People contemplating a file server might want partitions for /www/, /ftp/,
/srv/, or whatever. Should they fear a name conflict with future releases? Is
there an emerging standard?

I realize this matter is unsettled and probably deserves it's own document. It
might be inappropriate to give advice on the matter. Still, a couple of links to
the better pages, and a few words about what is going too far might be helpful,
if properly disclaimed.

Thank you for the guide, I really like it.

Version-Release number of selected component (if applicable):
  fedora-install-guide-en_US-1.35.2 (2007-01-28)
  fc6-install-guide-en/ch-disk-partitioning.html

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Paul W. Frields 2007-05-19 02:54:20 UTC
Information discussing partitioning approaches has been added in CVS and should
appear in the F7 IG.  Thank you for your suggestions.